ranges::v3::generate_fn Struct Reference
Algorithms

## Public Member Functions

template<typename O , typename S , typename F , requires = (Invocable<F&>() && OutputIterator<O, result_of_t<F&()>>() && Sentinel<S, O>())>
tagged_pair< tag::out(O), tag::fun(F)> | operator() (O begin, S end, F fun) const
template<typename Rng , typename F , typename O = iterator_t<Rng>, requires = (Invocable<F&>() && OutputRange<Rng, result_of_t<F&()>>())>
tagged_pair< tag::out(safe_iterator_t< Rng >), tag::fun(F)> | operator() (Rng &&rng, F fun) const